Package org.eclipse.m2m.atl.emftvm.impl

## Class EmftvmFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.m2m.atl.emftvm.impl.EmftvmFactoryImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`, `EmftvmFactory`

    public class EmftvmFactoryImpl
    extends org.eclipse.emf.ecore.impl.EFactoryImpl
    implements EmftvmFactory

An implementation of the model Factory.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected ModelFactory` `defaultModelFactory`

### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`EDATE_FORMATS, ePackage`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.m2m.atl.emftvm.EmftvmFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`EmftvmFactoryImpl()` Creates an instance of the factory.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.String` `convertClassNotFoundExceptionToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertConstantTagToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEBooleanArrayToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEJavaIterableToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEJavaObjectArrayToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEJavaSetToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEnumLiteralToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEObjectArrayToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertFeatureTagToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLazyBagToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLazyCollectionToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLazyListToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLazyOrderedSetToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLazySetToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertMethodToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertModelDeclarationTagToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertModuleResolverToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertOpcodeToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertRuleModeToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertStackFrameToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertTimingDataToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create​(org.eclipse.emf.ecore.EClass eClass)`
`Add` `createAdd()` Returns a new object of class 'Add'.
`Allinst` `createAllinst()` Returns a new object of class 'Allinst'.
`AllinstIn` `createAllinstIn()` Returns a new object of class 'Allinst In'.
`And` `createAnd()` Returns a new object of class 'And'.
`java.lang.ClassNotFoundException` `createClassNotFoundExceptionFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`CodeBlock` `createCodeBlock()` Returns a new object of class 'Code Block'.
`ConstantTag` `createConstantTagFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Delete` `createDelete()` Returns a new object of class 'Delete'.
`Dup` `createDup()` Returns a new object of class 'Dup'.
`DupX1` `createDupX1()` Returns a new object of class 'Dup X1'.
`boolean[]` `createEBooleanArrayFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.Iterable<?>` `createEJavaIterableFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object[]` `createEJavaObjectArrayFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.util.Set<?>` `createEJavaSetFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Enditerate` `createEnditerate()` Returns a new object of class 'Enditerate'.
`EnumLiteral` `createEnumLiteralFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`org.eclipse.emf.ecore.EObject[]` `createEObjectArrayFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ExecEnv` `createExecEnv()` Returns a new object of class 'Exec Env'.
`FeatureTag` `createFeatureTagFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Field` `createField()` Returns a new object of class 'Field'.
`Findtype` `createFindtype()` Returns a new object of class 'Findtype'.
`FindtypeS` `createFindtypeS()` Returns a new object of class 'Findtype S'.
`java.lang.Object` `createFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Get` `createGet()` Returns a new object of class 'Get'.
`Getcb` `createGetcb()` Returns a new object of class 'Getcb'.
`Getenv` `createGetenv()`
`Getenvtype` `createGetenvtype()` Returns a new object of class 'Getenvtype'.
`GetStatic` `createGetStatic()` Returns a new object of class 'Get Static'.
`GetSuper` `createGetSuper()`
`GetTrans` `createGetTrans()` Returns a new object of class 'Get Trans'.
`Goto` `createGoto()` Returns a new object of class 'Goto'.
`If` `createIf()` Returns a new object of class 'If'.
`Ifn` `createIfn()` Returns a new object of class 'Ifn'.
`Ifte` `createIfte()` Returns a new object of class 'Ifte'.
`Implies` `createImplies()` Returns a new object of class 'Implies'.
`InputRuleElement` `createInputRuleElement()` Returns a new object of class 'Input Rule Element'.
`Insert` `createInsert()` Returns a new object of class 'Insert'.
`Instruction` `createInstruction​(Opcode opcode)` Creates a new `Instruction` instance for the given
`Invoke` `createInvoke()` Returns a new object of class 'Invoke'.
`InvokeAllCbs` `createInvokeAllCbs()` Returns a new object of class 'Invoke All Cbs'.
`InvokeCb` `createInvokeCb()` Returns a new object of class 'Invoke Cb'.
`InvokeCbS` `createInvokeCbS()` Returns a new object of class 'Invoke Cb S'.
`InvokeStatic` `createInvokeStatic()` Returns a new object of class 'Invoke Static'.
`InvokeSuper` `createInvokeSuper()` Returns a new object of class 'Invoke Super'.
`Isnull` `createIsnull()` Returns a new object of class 'Isnull'.
`Iterate` `createIterate()` Returns a new object of class 'Iterate'.
`LazyBag<?>` `createLazyBagFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LazyCollection<?>` `createLazyCollectionFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LazyList<?>` `createLazyListFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LazyOrderedSet<?>` `createLazyOrderedSetFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LazySet<?>` `createLazySetFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LineNumber` `createLineNumber()` Returns a new object of class 'Line Number'.
`Load` `createLoad()` Returns a new object of class 'Load'.
`LocalVariable` `createLocalVariable()` Returns a new object of class 'Local Variable'.
`Match` `createMatch()` Returns a new object of class 'Match'.
`MatchS` `createMatchS()` Returns a new object of class 'Match S'.
`Metamodel` `createMetamodel()` Returns a new object of class 'Metamodel'.
`Metamodel` `createMetamodel​(org.eclipse.emf.ecore.resource.Resource resource)` Creates a new `Metamodel` for the given `Resource`, and sets the `Resource`.
`java.lang.reflect.Method` `createMethodFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Model` `createModel()` Returns a new object of class 'Model'.
`Model` `createModel​(org.eclipse.emf.ecore.resource.Resource resource)` Creates a new `Model` for the given `Resource`, and sets the `Resource`.
`ModelDeclaration` `createModelDeclaration()` Returns a new object of class 'Model Declaration'.
`ModelDeclarationTag` `createModelDeclarationTagFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Module` `createModule()` Returns a new object of class 'Module'.
`ModuleResolver` `createModuleResolverFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`New` `createNew()` Returns a new object of class 'New'.
`NewS` `createNewS()` Returns a new object of class 'New S'.
`Not` `createNot()` Returns a new object of class 'Not'.
`Opcode` `createOpcodeFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Operation` `createOperation()` Returns a new object of class 'Operation'.
`Or` `createOr()` Returns a new object of class 'Or'.
`OutputRuleElement` `createOutputRuleElement()` Returns a new object of class 'Output Rule Element'.
`Parameter` `createParameter()` Returns a new object of class 'Parameter'.
`Pop` `createPop()` Returns a new object of class 'Pop'.
`Push` `createPush()` Returns a new object of class 'Push'.
`Pushf` `createPushf()` Returns a new object of class 'Pushf'.
`Pusht` `createPusht()` Returns a new object of class 'Pusht'.
`Remove` `createRemove()` Returns a new object of class 'Remove'.
`Return` `createReturn()` Returns a new object of class 'Return'.
`Rule` `createRule()` Returns a new object of class 'Rule'.
`RuleMode` `createRuleModeFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Set` `createSet()` Returns a new object of class 'Set'.
`SetStatic` `createSetStatic()` Returns a new object of class 'Set Static'.
`StackFrame` `createStackFrameFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Store` `createStore()` Returns a new object of class 'Store'.
`Swap` `createSwap()` Returns a new object of class 'Swap'.
`SwapX1` `createSwapX1()` Returns a new object of class 'Swap X1'.
`TimingData` `createTimingDataFromString​(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Xor` `createXor()` Returns a new object of class 'Xor'.
`EmftvmPackage` `getEmftvmPackage()` Returns the package supported by this factory.
`protected TypeMap<java.lang.Class<?>,​ModelFactory>` `getModelFactoryRegistry()`
`static EmftvmPackage` `getPackage()` Deprecated.
`static EmftvmFactory` `init()` Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### defaultModelFactory

    protected final ModelFactory defaultModelFactory

### Constructor Detail

#### EmftvmFactoryImpl

    public EmftvmFactoryImpl()

Creates an instance of the factory.

### Method Detail

#### init

    public static EmftvmFactory init()

Creates the default factory implementation.

Returns:
  the default factory implementation.

#### create

    public org.eclipse.emf.ecore.EObject create​(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createFromString

    public java.lang.Object createFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

Specified by:
  `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### convertToString

    public java.lang.String convertToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

Specified by:
  `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createModule

    public Module createModule()

Returns a new object of class 'Module'.

Specified by:
  `createModule` in interface `EmftvmFactory`
Returns:
  a new object of class 'Module'.

#### createModelDeclaration

    public ModelDeclaration createModelDeclaration()

Returns a new object of class 'Model Declaration'.

Specified by:
  `createModelDeclaration` in interface `EmftvmFactory`
Returns:
  a new object of class 'Model Declaration'.

#### createField

    public Field createField()

Returns a new object of class 'Field'.

Specified by:
  `createField` in interface `EmftvmFactory`
Returns:
  a new object of class 'Field'.

#### createOperation

    public Operation createOperation()

Returns a new object of class 'Operation'.

Specified by:
  `createOperation` in interface `EmftvmFactory`
Returns:
  a new object of class 'Operation'.

#### createParameter

    public Parameter createParameter()

Returns a new object of class 'Parameter'.

Specified by:
  `createParameter` in interface `EmftvmFactory`
Returns:
  a new object of class 'Parameter'.

#### createLineNumber

    public LineNumber createLineNumber()

Returns a new object of class 'Line Number'.

Specified by:
  `createLineNumber` in interface `EmftvmFactory`
Returns:
  a new object of class 'Line Number'.

#### createLocalVariable

    public LocalVariable createLocalVariable()

Returns a new object of class 'Local Variable'.

Specified by:
  `createLocalVariable` in interface `EmftvmFactory`
Returns:
  a new object of class 'Local Variable'.

#### createRule

    public Rule createRule()

Returns a new object of class 'Rule'.

Specified by:
  `createRule` in interface `EmftvmFactory`
Returns:
  a new object of class 'Rule'.

#### createInputRuleElement

    public InputRuleElement createInputRuleElement()

Returns a new object of class 'Input Rule Element'.

Specified by:
  `createInputRuleElement` in interface `EmftvmFactory`
Returns:
  a new object of class 'Input Rule Element'.

#### createOutputRuleElement

    public OutputRuleElement createOutputRuleElement()

Returns a new object of class 'Output Rule Element'.

Specified by:
  `createOutputRuleElement` in interface `EmftvmFactory`
Returns:
  a new object of class 'Output Rule Element'.

#### createCodeBlock

    public CodeBlock createCodeBlock()

Returns a new object of class 'Code Block'.

Specified by:
  `createCodeBlock` in interface `EmftvmFactory`
Returns:
  a new object of class 'Code Block'.

#### createPush

    public Push createPush()

Returns a new object of class 'Push'.

Specified by:
  `createPush` in interface `EmftvmFactory`
Returns:
  a new object of class 'Push'.

#### createPusht

    public Pusht createPusht()

Returns a new object of class 'Pusht'.

Specified by:
  `createPusht` in interface `EmftvmFactory`
Returns:
  a new object of class 'Pusht'.

#### createPushf

    public Pushf createPushf()

Returns a new object of class 'Pushf'.

Specified by:
  `createPushf` in interface `EmftvmFactory`
Returns:
  a new object of class 'Pushf'.

#### createPop

    public Pop createPop()

Returns a new object of class 'Pop'.

Specified by:
  `createPop` in interface `EmftvmFactory`
Returns:
  a new object of class 'Pop'.

#### createLoad

    public Load createLoad()

Returns a new object of class 'Load'.

Specified by:
  `createLoad` in interface `EmftvmFactory`
Returns:
  a new object of class 'Load'.

#### createStore

    public Store createStore()

Returns a new object of class 'Store'.

Specified by:
  `createStore` in interface `EmftvmFactory`
Returns:
  a new object of class 'Store'.

#### createSet

    public Set createSet()

Returns a new object of class 'Set'.

Specified by:
  `createSet` in interface `EmftvmFactory`
Returns:
  a new object of class 'Set'.

#### createGet

    public Get createGet()

Returns a new object of class 'Get'.

Specified by:
  `createGet` in interface `EmftvmFactory`
Returns:
  a new object of class 'Get'.

#### createGetTrans

    public GetTrans createGetTrans()

Returns a new object of class 'Get Trans'.

Specified by:
  `createGetTrans` in interface `EmftvmFactory`
Returns:
  a new object of class 'Get Trans'.

#### createSetStatic

    public SetStatic createSetStatic()

Returns a new object of class 'Set Static'.

Specified by:
  `createSetStatic` in interface `EmftvmFactory`
Returns:
  a new object of class 'Set Static'.

#### createGetStatic

    public GetStatic createGetStatic()

Returns a new object of class 'Get Static'.

Specified by:
  `createGetStatic` in interface `EmftvmFactory`
Returns:
  a new object of class 'Get Static'.

#### createFindtype

    public Findtype createFindtype()

Returns a new object of class 'Findtype'.

Specified by:
  `createFindtype` in interface `EmftvmFactory`
Returns:
  a new object of class 'Findtype'.

#### createFindtypeS

    public FindtypeS createFindtypeS()

Returns a new object of class 'Findtype S'.

Specified by:
  `createFindtypeS` in interface `EmftvmFactory`
Returns:
  a new object of class 'Findtype S'.

#### createNew

    public New createNew()

Returns a new object of class 'New'.

Specified by:
  `createNew` in interface `EmftvmFactory`
Returns:
  a new object of class 'New'.

#### createNewS

    public NewS createNewS()

Returns a new object of class 'New S'.

Specified by:
  `createNewS` in interface `EmftvmFactory`
Returns:
  a new object of class 'New S'.

#### createDelete

    public Delete createDelete()

Returns a new object of class 'Delete'.

Specified by:
  `createDelete` in interface `EmftvmFactory`
Returns:
  a new object of class 'Delete'.

#### createDup

    public Dup createDup()

Returns a new object of class 'Dup'.

Specified by:
  `createDup` in interface `EmftvmFactory`
Returns:
  a new object of class 'Dup'.

#### createDupX1

    public DupX1 createDupX1()

Returns a new object of class 'Dup X1'.

Specified by:
  `createDupX1` in interface `EmftvmFactory`
Returns:
  a new object of class 'Dup X1'.

#### createSwap

    public Swap createSwap()

Returns a new object of class 'Swap'.

Specified by:
  `createSwap` in interface `EmftvmFactory`
Returns:
  a new object of class 'Swap'.

#### createSwapX1

    public SwapX1 createSwapX1()

Returns a new object of class 'Swap X1'.

Specified by:
  `createSwapX1` in interface `EmftvmFactory`
Returns:
  a new object of class 'Swap X1'.

#### createIf

    public If createIf()

Returns a new object of class 'If'.

Specified by:
  `createIf` in interface `EmftvmFactory`
Returns:
  a new object of class 'If'.

#### createIfn

    public Ifn createIfn()

Returns a new object of class 'Ifn'.

Specified by:
  `createIfn` in interface `EmftvmFactory`
Returns:
  a new object of class 'Ifn'.

#### createGoto

    public Goto createGoto()

Returns a new object of class 'Goto'.

Specified by:
  `createGoto` in interface `EmftvmFactory`
Returns:
  a new object of class 'Goto'.

#### createIterate

    public Iterate createIterate()

Returns a new object of class 'Iterate'.

Specified by:
  `createIterate` in interface `EmftvmFactory`
Returns:
  a new object of class 'Iterate'.

#### createEnditerate

    public Enditerate createEnditerate()

Returns a new object of class 'Enditerate'.

Specified by:
  `createEnditerate` in interface `EmftvmFactory`
Returns:
  a new object of class 'Enditerate'.

#### createInvoke

    public Invoke createInvoke()

Returns a new object of class 'Invoke'.

Specified by:
  `createInvoke` in interface `EmftvmFactory`
Returns:
  a new object of class 'Invoke'.

#### createInvokeSuper

    public InvokeSuper createInvokeSuper()

Returns a new object of class 'Invoke Super'.

Specified by:
  `createInvokeSuper` in interface `EmftvmFactory`
Returns:
  a new object of class 'Invoke Super'.

#### createInvokeStatic

    public InvokeStatic createInvokeStatic()

Returns a new object of class 'Invoke Static'.

Specified by:
  `createInvokeStatic` in interface `EmftvmFactory`
Returns:
  a new object of class 'Invoke Static'.

#### createAllinst

    public Allinst createAllinst()

Returns a new object of class 'Allinst'.

Specified by:
  `createAllinst` in interface `EmftvmFactory`
Returns:
  a new object of class 'Allinst'.

#### createAllinstIn

    public AllinstIn createAllinstIn()

Returns a new object of class 'Allinst In'.

Specified by:
  `createAllinstIn` in interface `EmftvmFactory`
Returns:
  a new object of class 'Allinst In'.

#### createMatch

    public Match createMatch()

Returns a new object of class 'Match'.

Specified by:
  `createMatch` in interface `EmftvmFactory`
Returns:
  a new object of class 'Match'.

#### createMatchS

    public MatchS createMatchS()

Returns a new object of class 'Match S'.

Specified by:
  `createMatchS` in interface `EmftvmFactory`
Returns:
  a new object of class 'Match S'.

#### createAdd

    public Add createAdd()

Returns a new object of class 'Add'.

Specified by:
  `createAdd` in interface `EmftvmFactory`
Returns:
  a new object of class 'Add'.

#### createRemove

    public Remove createRemove()

Returns a new object of class 'Remove'.

Specified by:
  `createRemove` in interface `EmftvmFactory`
Returns:
  a new object of class 'Remove'.

#### createInsert

    public Insert createInsert()

Returns a new object of class 'Insert'.

Specified by:
  `createInsert` in interface `EmftvmFactory`
Returns:
  a new object of class 'Insert'.

#### createGetSuper

    public GetSuper createGetSuper()

Specified by:
  `createGetSuper` in interface `EmftvmFactory`
Returns:
  a new object of class 'Get Super'.

#### createGetenv

    public Getenv createGetenv()

Specified by:
  `createGetenv` in interface `EmftvmFactory`
Returns:
  a new object of class 'Getenv'.

#### createReturn

    public Return createReturn()

Returns a new object of class 'Return'.

Specified by:
  `createReturn` in interface `EmftvmFactory`
Returns:
  a new object of class 'Return'.

#### createGetcb

    public Getcb createGetcb()

Returns a new object of class 'Getcb'.

Specified by:
  `createGetcb` in interface `EmftvmFactory`
Returns:
  a new object of class 'Getcb'.

#### createInvokeAllCbs

    public InvokeAllCbs createInvokeAllCbs()

Returns a new object of class 'Invoke All Cbs'.

Specified by:
  `createInvokeAllCbs` in interface `EmftvmFactory`
Returns:
  a new object of class 'Invoke All Cbs'.

#### createInvokeCb

    public InvokeCb createInvokeCb()

Returns a new object of class 'Invoke Cb'.

Specified by:
  `createInvokeCb` in interface `EmftvmFactory`
Returns:
  a new object of class 'Invoke Cb'.

#### createInvokeCbS

    public InvokeCbS createInvokeCbS()

Returns a new object of class 'Invoke Cb S'.

Specified by:
  `createInvokeCbS` in interface `EmftvmFactory`
Returns:
  a new object of class 'Invoke Cb S'.

#### createModelDeclarationTagFromString

    public ModelDeclarationTag createModelDeclarationTagFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.String initialValue)

#### convertModelDeclarationTagToString

    public java.lang.String convertModelDeclarationTagToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.Object instanceValue)

#### createNot

    public Not createNot()

Returns a new object of class 'Not'.

Specified by:
  `createNot` in interface `EmftvmFactory`
Returns:
  a new object of class 'Not'.

#### createAnd

    public And createAnd()

Returns a new object of class 'And'.

Specified by:
  `createAnd` in interface `EmftvmFactory`
Returns:
  a new object of class 'And'.

#### createOr

    public Or createOr()

Returns a new object of class 'Or'.

Specified by:
  `createOr` in interface `EmftvmFactory`
Returns:
  a new object of class 'Or'.

#### createXor

    public Xor createXor()

Returns a new object of class 'Xor'.

Specified by:
  `createXor` in interface `EmftvmFactory`
Returns:
  a new object of class 'Xor'.

#### createImplies

    public Implies createImplies()

Returns a new object of class 'Implies'.

Specified by:
  `createImplies` in interface `EmftvmFactory`
Returns:
  a new object of class 'Implies'.

#### createIfte

    public Ifte createIfte()

Returns a new object of class 'Ifte'.

Specified by:
  `createIfte` in interface `EmftvmFactory`
Returns:
  a new object of class 'Ifte'.

#### createIsnull

    public Isnull createIsnull()

Returns a new object of class 'Isnull'.

Specified by:
  `createIsnull` in interface `EmftvmFactory`
Returns:
  a new object of class 'Isnull'.

#### createGetenvtype

    public Getenvtype createGetenvtype()

Returns a new object of class 'Getenvtype'.

Specified by:
  `createGetenvtype` in interface `EmftvmFactory`
Returns:
  a new object of class 'Getenvtype'.

#### createFeatureTagFromString

    public FeatureTag createFeatureTagFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

#### convertFeatureTagToString

    public java.lang.String convertFeatureTagToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

#### createExecEnv

    public ExecEnv createExecEnv()

Returns a new object of class 'Exec Env'.

Specified by:
  `createExecEnv` in interface `EmftvmFactory`
Returns:
  a new object of class 'Exec Env'.

#### createModel

    public Model createModel()

Returns a new object of class 'Model'.

Specified by:
  `createModel` in interface `EmftvmFactory`
Returns:
  a new object of class 'Model'.

#### createMetamodel

    public Metamodel createMetamodel()

Returns a new object of class 'Metamodel'.

Specified by:
  `createMetamodel` in interface `EmftvmFactory`
Returns:
  a new object of class 'Metamodel'.

#### createOpcodeFromString

    public Opcode createOpcodeFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                         java.lang.String initialValue)

#### convertOpcodeToString

    public java.lang.String convertOpcodeToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                  java.lang.Object instanceValue)

#### createRuleModeFromString

    public RuleMode createRuleModeFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

#### convertRuleModeToString

    public java.lang.String convertRuleModeToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.Object instanceValue)

#### createConstantTagFromString

    public ConstantTag createConstantTagFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

#### convertConstantTagToString

    public java.lang.String convertConstantTagToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.Object instanceValue)

#### createStackFrameFromString

    public StackFrame createStackFrameFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

#### convertStackFrameToString

    public java.lang.String convertStackFrameToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

#### createMethodFromString

    public java.lang.reflect.Method createMethodFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.String initialValue)

#### convertMethodToString

    public java.lang.String convertMethodToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                  java.lang.Object instanceValue)

#### createTimingDataFromString

    public TimingData createTimingDataFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

#### convertTimingDataToString

    public java.lang.String convertTimingDataToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

#### createLazyCollectionFromString

    public LazyCollection<?> createLazyCollectionFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.String initialValue)

#### convertLazyCollectionToString

    public java.lang.String convertLazyCollectionToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

#### createLazyBagFromString

    public LazyBag<?> createLazyBagFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                              java.lang.String initialValue)

#### convertLazyBagToString

    public java.lang.String convertLazyBagToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.Object instanceValue)

#### createLazyListFromString

    public LazyList<?> createLazyListFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                java.lang.String initialValue)

#### convertLazyListToString

    public java.lang.String convertLazyListToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.Object instanceValue)

#### createLazyOrderedSetFromString

    public LazyOrderedSet<?> createLazyOrderedSetFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.String initialValue)

#### convertLazyOrderedSetToString

    public java.lang.String convertLazyOrderedSetToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

#### createLazySetFromString

    public LazySet<?> createLazySetFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                              java.lang.String initialValue)

#### convertLazySetToString

    public java.lang.String convertLazySetToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.Object instanceValue)

#### createEJavaObjectArrayFromString

    public java.lang.Object[] createEJavaObjectArrayFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

#### convertEJavaObjectArrayToString

    public java.lang.String convertEJavaObjectArrayToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

#### createEObjectArrayFromString

    public org.eclipse.emf.ecore.EObject[] createEObjectArrayFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                                        java.lang.String initialValue)

#### convertEObjectArrayToString

    public java.lang.String convertEObjectArrayToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

#### createEBooleanArrayFromString

    public boolean[] createEBooleanArrayFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

#### convertEBooleanArrayToString

    public java.lang.String convertEBooleanArrayToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

#### createEJavaSetFromString

    public java.util.Set<?> createEJavaSetFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

#### convertEJavaSetToString

    public java.lang.String convertEJavaSetToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.Object instanceValue)

#### createEJavaIterableFromString

    public java.lang.Iterable<?> createEJavaIterableFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

#### convertEJavaIterableToString

    public java.lang.String convertEJavaIterableToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

#### createClassNotFoundExceptionFromString

    public java.lang.ClassNotFoundException createClassNotFoundExceptionFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                   java.lang.String initialValue)

#### convertClassNotFoundExceptionToString

    public java.lang.String convertClassNotFoundExceptionToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                                  java.lang.Object instanceValue)

#### createModuleResolverFromString

    public ModuleResolver createModuleResolverFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

#### convertModuleResolverToString

    public java.lang.String convertModuleResolverToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

#### createEnumLiteralFromString

    public EnumLiteral createEnumLiteralFromString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

#### convertEnumLiteralToString

    public java.lang.String convertEnumLiteralToString​(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.Object instanceValue)

#### getEmftvmPackage

    public EmftvmPackage getEmftvmPackage()

Returns the package supported by this factory.

Specified by:
  `getEmftvmPackage` in interface `EmftvmFactory`
Returns:
  the package supported by this factory.

#### getPackage

    @Deprecated
    public static EmftvmPackage getPackage()

Deprecated.

#### createInstruction

    public Instruction createInstruction​(Opcode opcode)

Creates a new `Instruction` instance for the given

    opcode

.

Specified by:
  `createInstruction` in interface `EmftvmFactory`
Parameters:
  `opcode` - the instruction opcode.
Returns:
  a new `Instruction` instance for the given

      opcode

  .

#### createModel

    public Model createModel​(org.eclipse.emf.ecore.resource.Resource resource)

Creates a new `Model` for the given `Resource`, and sets the `Resource`.

Specified by:
  `createModel` in interface `EmftvmFactory`
Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Model`

#### createMetamodel

    public Metamodel createMetamodel​(org.eclipse.emf.ecore.resource.Resource resource)

Creates a new `Metamodel` for the given `Resource`, and sets the `Resource`.

Specified by:
  `createMetamodel` in interface `EmftvmFactory`
Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Metamodel`

#### getModelFactoryRegistry

    protected TypeMap<java.lang.Class<?>,​ModelFactory> getModelFactoryRegistry()

Returns:
  the modelFactoryRegistry